Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.io.output
Class BrokenOutputStream

    java.lang.Object
      java.io.OutputStream
          org.apache.commons.io.output.BrokenOutputStream

All Implemented Interfaces:
  Closeable, Flushable

    public class BrokenOutputStream

extends OutputStream

Broken output stream. This stream always throws an `IOException` from all `OutputStream` methods.

This class is mostly useful for testing error handling in code that uses an output stream.

Since:
  Commons IO 2.0

Constructor Summary
`BrokenOutputStream()` Creates a new stream that always throws an `IOException`
`BrokenOutputStream(IOException exception)` Creates a new stream that always throws the given exception.

Method Summary
`void` | `close()` Throws the configured exception.
`void` | `flush()` Throws the configured exception.
`void` | `write(int b)` Throws the configured exception.

Methods inherited from class java.io.OutputStream
`write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrokenOutputStream

    public BrokenOutputStream(IOException exception)

  Creates a new stream that always throws the given exception.

  Parameters:
    `exception` - the exception to be thrown

### BrokenOutputStream

    public BrokenOutputStream()

  Creates a new stream that always throws an `IOException`

Method Detail

### write

    public void write(int b)
               throws IOException

  Throws the configured exception.

  Specified by:
    `write` in class `OutputStream`
  Parameters:
    `b` - ignored
  Throws:
    `IOException` - always thrown

### flush

    public void flush()
               throws IOException

  Throws the configured exception.

  Specified by:
    `flush` in interface `Flushable`
  Overrides:
    `flush` in class `OutputStream`
  Throws:
    `IOException` - always thrown

### close

    public void close()
               throws IOException

  Throws the configured exception.

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `OutputStream`
  Throws:
    `IOException` - always thrown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2011 The Apache Software Foundation. All Rights Reserved.